MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001696VCMIAI - Adventure Mappublic2014-02-09 10:192015-12-04 21:58
ReporterIvan 
Assigned ToSXX 
PrioritynormalSeveritymajorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.98f 
Summary0001696: AI heroes with set "patrol" property should not leave specified radius
DescriptionAs in summary, In H3M heroes have "patrol radius" property, if set - AI heroes with it should not wander more than X tiles from their original position.

Note that AI should not even "use" objects from outside of this radius (e.g. pick resources placed just next to hero if patrol radius is 0)
TagsNo tags attached.
Attached Files? file icon SXX_PATROL_TESTING_v1.h3m [^] (41,987 bytes) 2015-10-17 00:09

- Relationships
related to 0001713resolvedWarmonger very long turn AI - SectorMap memory leak 

-  Notes
(0004435)
Warmonger (administrator)
2014-02-09 10:39

I believe this should be implemented at pathfinder level.
(0005954)
SXX (administrator)
2015-10-17 00:10

I'll certainly work on this so here is my test map.
(0006125)
SXX (administrator)
2015-11-28 16:08

So here is some rules for heroes on patrol:

- Patrol not affect human players.
- Dimension door isn't used to collect items even if it's within radius.
- They may use boats.
- Teleports can be used if exit within radius.
- Anything that result into ground<->underground transition is not used: both teleports and subterranean gates.
- Whirlpools not used.
(0006126)
SXX (administrator)
2015-11-28 18:59

Work in progress in that branch:
https://github.com/vcmi/vcmi/pull/143 [^]
(0006137)
SXX (administrator)
2015-11-29 11:44

More notes about patrol testing in H3:
- Patrol limit affect "gosolo" command too.
- Hero on patrol may flee and AI may buy it again. If that happen such hero will never left town if town outside of allowed patrol zone.
- AI may buy heroes when tavern in empty and map don't have any heroes allowed. Make patrol testing much harder.
(0006144)
SXX (administrator)
2015-12-04 21:58

My branch is finishes and I'm almost done everything I needed to merge it.

- Issue History
Date Modified Username Field Change
2014-02-09 10:19 Ivan New Issue
2014-02-09 10:19 Ivan Status new => assigned
2014-02-09 10:19 Ivan Assigned To => Tow
2014-02-09 10:39 Warmonger Note Added: 0004435
2014-02-15 17:07 Warmonger Relationship added related to 0001713
2015-10-15 01:09 SXX Assigned To Tow => SXX
2015-10-17 00:09 SXX File Added: SXX_PATROL_TESTING_v1.h3m
2015-10-17 00:10 SXX Note Added: 0005954
2015-11-28 16:08 SXX Note Added: 0006125
2015-11-28 18:59 SXX Note Added: 0006126
2015-11-29 11:44 SXX Note Added: 0006137
2015-12-04 21:58 SXX Note Added: 0006144
2015-12-04 21:58 SXX Status assigned => resolved
2015-12-04 21:58 SXX Fixed in Version => 0.98f
2015-12-04 21:58 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean